Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class Configuration

    java.lang.Object
      com.tibco.tibjms.admin.Configuration

    public class Configuration

extends java.lang.Object

A Configuration object represents a server configuration. Configuration objects can be created locally and used to update a server's configuration, or retrieved from a server.

Method Summary
`byte[]` | `getAsBytes()` Returns the contents of this configuration object.
`java.lang.String` | `getAsString()` Returns the contents of this configuration object.
`void` | `loadFromFile(java.lang.String fileName)` Loads the contents of a file in a configuration object.
`void` | `set(byte[] configurationBytes)` Sets the contents of this configuration object.
`void` | `set(java.lang.String configurationString)` Sets the contents of this configuration object.
`void` | `writeToFile(java.lang.String fileName)` Writes the contents of a configuration object to a file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAsBytes

    public byte[] getAsBytes()

  Returns the contents of this configuration object.

  Returns:
    a byte array containing the configuration represented by this object.
  Since:
    EMS 6.0

### getAsString

    public java.lang.String getAsString()

  Returns the contents of this configuration object.

  Returns:
    a string containing the configuration represented by this object.
  Since:
    EMS 6.0

### set

    public void set(java.lang.String configurationString)

  Sets the contents of this configuration object.

  Parameters:
    `A` - string containing the configuration this object will represent.
  Throws:
    `TibjmsAdminException` - if not authorized or an error occurred.
  Since:
    EMS 6.0

### set

    public void set(byte[] configurationBytes)

  Sets the contents of this configuration object.

  Parameters:
    `A` - byte array containing the configuration this object will represent.
  Throws:
    `TibjmsAdminException` - if not authorized or an error occurred.
  Since:
    EMS 6.0

### loadFromFile

    public void loadFromFile(java.lang.String fileName)
                      throws TibjmsAdminException,
                             java.io.FileNotFoundException,
                             java.io.IOException

  Loads the contents of a file in a configuration object.

  Parameters:
    `The` - filename of the file to load.
  Throws:
    `TibjmsAdminException` - if not authorized or an error occurred.
    `java.io.FileNotFoundException`
    `java.io.IOException`
  Since:
    EMS 6.0

### writeToFile

    public void writeToFile(java.lang.String fileName)
                     throws java.lang.Exception

  Writes the contents of a configuration object to a file.

  Parameters:
    `The` - filename of the file to create.
  Throws:
    `TibjmsAdminException` - if not authorized or an error occurred.
    `java.lang.Exception`
  Since:
    EMS 6.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved